<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:shared="urn:shared-functions"
                version="2.0">
   <xsl:import href="shared-functions.xslt"/>
   <!-- Read properties from config.xml file and convert them to typed xslt variables -->
   <xsl:variable name="config-xml" select="doc('config/config.xml')"/>
   <xsl:variable name="module-folder" as="xs:string" select="shared:to-folder($config-xml/key('by-key', 'module-folder'))"/>
   <!-- Extra properties -->
   <xsl:variable name="input-folder" select="concat($module-folder, 'input/')"/>
   <xsl:variable name="output-folder" select="concat($module-folder, 'output/')"/>
   <!-- *********************************************************************************************************** -->
</xsl:stylesheet>